PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
PDM_Type Struct Reference

## Description

PDM (PDM)

## Data Fields
__IOM uint32_t | CTL
__IOM uint32_t | CTL_CLR
__IOM uint32_t | CTL_SET
__IM uint32_t | RESERVED
__IOM uint32_t | CLOCK_CTL
__IM uint32_t | RESERVED1 [3]
__IOM uint32_t | ROUTE_CTL
__IM uint32_t | RESERVED2 [3]
__IOM uint32_t | TEST_CTL
__IM uint32_t | RESERVED3 [51]
__IOM uint32_t | FIR0_COEFF0
__IOM uint32_t | FIR0_COEFF1
__IOM uint32_t | FIR0_COEFF2
__IOM uint32_t | FIR0_COEFF3
__IOM uint32_t | FIR0_COEFF4
__IOM uint32_t | FIR0_COEFF5
__IOM uint32_t | FIR0_COEFF6
__IOM uint32_t | FIR0_COEFF7
__IM uint32_t | RESERVED4 [8]
__IOM uint32_t | FIR1_COEFF0
__IOM uint32_t | FIR1_COEFF1
__IOM uint32_t | FIR1_COEFF2
__IOM uint32_t | FIR1_COEFF3
__IOM uint32_t | FIR1_COEFF4
__IOM uint32_t | FIR1_COEFF5
__IOM uint32_t | FIR1_COEFF6
__IOM uint32_t | FIR1_COEFF7
__IOM uint32_t | FIR1_COEFF8
__IOM uint32_t | FIR1_COEFF9
__IOM uint32_t | FIR1_COEFF10
__IOM uint32_t | FIR1_COEFF11
__IOM uint32_t | FIR1_COEFF12
__IOM uint32_t | FIR1_COEFF13
__IM uint32_t | RESERVED5 [8098]
PDM_CH_Type | CH [8]

## Field Documentation

## ◆ CTL

__IOM uint32_t PDM_Type::CTL

0x00000000 Control

## ◆ CTL_CLR

__IOM uint32_t PDM_Type::CTL_CLR

0x00000004 Control clear

## ◆ CTL_SET

__IOM uint32_t PDM_Type::CTL_SET

0x00000008 Control set

## ◆ RESERVED

__IM uint32_t PDM_Type::RESERVED

## ◆ CLOCK_CTL

__IOM uint32_t PDM_Type::CLOCK_CTL

0x00000010 Clock control

## ◆ RESERVED1

__IM uint32_t PDM_Type::RESERVED1[3]

## ◆ ROUTE_CTL

__IOM uint32_t PDM_Type::ROUTE_CTL

0x00000020 Route control

## ◆ RESERVED2

__IM uint32_t PDM_Type::RESERVED2[3]

## ◆ TEST_CTL

__IOM uint32_t PDM_Type::TEST_CTL

0x00000030 Test control

## ◆ RESERVED3

__IM uint32_t PDM_Type::RESERVED3[51]

## ◆ FIR0_COEFF0

__IOM uint32_t PDM_Type::FIR0_COEFF0

0x00000100 FIR 0 coefficients 0

## ◆ FIR0_COEFF1

__IOM uint32_t PDM_Type::FIR0_COEFF1

0x00000104 FIR 0 coefficients 1

## ◆ FIR0_COEFF2

__IOM uint32_t PDM_Type::FIR0_COEFF2

0x00000108 FIR 0 coefficients 2

## ◆ FIR0_COEFF3

__IOM uint32_t PDM_Type::FIR0_COEFF3

0x0000010C FIR 0 coefficients 3

## ◆ FIR0_COEFF4

__IOM uint32_t PDM_Type::FIR0_COEFF4

0x00000110 FIR 0 coefficients 4

## ◆ FIR0_COEFF5

__IOM uint32_t PDM_Type::FIR0_COEFF5

0x00000114 FIR 0 coefficients 5

## ◆ FIR0_COEFF6

__IOM uint32_t PDM_Type::FIR0_COEFF6

0x00000118 FIR 0 coefficients 6

## ◆ FIR0_COEFF7

__IOM uint32_t PDM_Type::FIR0_COEFF7

0x0000011C FIR 0 coefficients 7

## ◆ RESERVED4

__IM uint32_t PDM_Type::RESERVED4[8]

## ◆ FIR1_COEFF0

__IOM uint32_t PDM_Type::FIR1_COEFF0

0x00000140 FIR 1 coefficients 0

## ◆ FIR1_COEFF1

__IOM uint32_t PDM_Type::FIR1_COEFF1

0x00000144 FIR 1 coefficients 1

## ◆ FIR1_COEFF2

__IOM uint32_t PDM_Type::FIR1_COEFF2

0x00000148 FIR 1 coefficients 2

## ◆ FIR1_COEFF3

__IOM uint32_t PDM_Type::FIR1_COEFF3

0x0000014C FIR 1 coefficients 3

## ◆ FIR1_COEFF4

__IOM uint32_t PDM_Type::FIR1_COEFF4

0x00000150 FIR 1 coefficients 4

## ◆ FIR1_COEFF5

__IOM uint32_t PDM_Type::FIR1_COEFF5

0x00000154 FIR 1 coefficients 5

## ◆ FIR1_COEFF6

__IOM uint32_t PDM_Type::FIR1_COEFF6

0x00000158 FIR 1 coefficients 6

## ◆ FIR1_COEFF7

__IOM uint32_t PDM_Type::FIR1_COEFF7

0x0000015C FIR 1 coefficients 7

## ◆ FIR1_COEFF8

__IOM uint32_t PDM_Type::FIR1_COEFF8

0x00000160 FIR 1 coefficients 8

## ◆ FIR1_COEFF9

__IOM uint32_t PDM_Type::FIR1_COEFF9

0x00000164 FIR 1 coefficients 9

## ◆ FIR1_COEFF10

__IOM uint32_t PDM_Type::FIR1_COEFF10

0x00000168 FIR 1 coefficients 10

## ◆ FIR1_COEFF11

__IOM uint32_t PDM_Type::FIR1_COEFF11

0x0000016C FIR 1 coefficients 11

## ◆ FIR1_COEFF12

__IOM uint32_t PDM_Type::FIR1_COEFF12

0x00000170 FIR 1 coefficients 12

## ◆ FIR1_COEFF13

__IOM uint32_t PDM_Type::FIR1_COEFF13

0x00000174 FIR 1 coefficients 13

## ◆ RESERVED5

__IM uint32_t PDM_Type::RESERVED5[8098]

## ◆ CH

PDM_CH_Type PDM_Type::CH[8]

0x00008000 PDM RX structure